import Vue, { VueConstructor } from 'vue';
import Router, { RouteConfig, Route, RouterOptions, NavigationGuard } from 'vue-router';
export { RouteConfig, RouterOptions } from 'vue-router';
export interface IRouter {
    [key: string]: RouteConfig[];
}
export interface INavigationGuards {
    beforeEach(guard: NavigationGuard): void;
    beforeResolve(guard: NavigationGuard): void;
    afterEach(hook: (to: Route, from: Route) => any): void;
}
export declare function initRouter(vueConstructor: VueConstructor<Vue>, router: {
    routes?: IRouter;
    fallback?: RouteConfig;
    option?: RouterOptions;
    navigationGuards?: INavigationGuards;
}): Router;
